SHR DBus Interface Specification

# org.shr.phoneui.Contacts

## Description

The Contacts Interface is used to show the different contact screens to show a list of contacts, a contact itself, edit or add a contact.

## Namespace

`org.shr.phoneui.Contacts`

## Methods

- DisplayList
- DisplayContact
- CreateContact
- EditContact

## Signals

None

## Errors

None

# Methods

### DisplayList ( a{sv} )

#### Parameters

a{sv}: filter

List of filter attributes to limit the list of contacts to be shown.

### DisplayContact ( s )

#### Parameters

s: path

the DBus path of the contact to show

### CreateContact ( a{sv} ) → s

#### Parameters

a{sv}: values

Values to be prefilled for the new contact

#### Returns

s: path

the DBus path of the freshly created contact

### EditContact ( s )

#### Parameters

s: path

the DBus path for the contact to be edited

| Specified 2009 by the SHR team. | Join us and discuss further drafts shr-devel (at) shr-project (dot) org